#include <iostream>

using namespace std;

int main(){
    int n, l;
    cin >> n >> l;
    int h[n];
    for(int i = 0; i < n; i++){
        cin >> h[i];
    }
    int res=0;
    bool zak=false;
    for(int i = 0; i < n; i++){
        if(h[i] <= l){
            res = i+1;
            zak = true;
            break;
        }
    }
    if(zak){
        cout << res << endl;
    }
    else{
        cout << -1 << endl;
    }
    return 0;
}